com.holonplatform.vaadin7.spring.utils

## Class AbstractVaadinSpringTest.TestVaadinSpringSession

- java.lang.Object
- - com.vaadin.server.VaadinSession
  - - com.holonplatform.vaadin7.spring.utils.AbstractVaadinSpringTest.TestVaadinSpringSession

- All Implemented Interfaces:
    Serializable, EventListener, javax.servlet.http.HttpSessionBindingListener
  Enclosing class:
    AbstractVaadinSpringTest

      public static class AbstractVaadinSpringTest.TestVaadinSpringSession
      extends com.vaadin.server.VaadinSession

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.vaadin.server.VaadinSession

      `com.vaadin.server.VaadinSession.FutureAccess, com.vaadin.server.VaadinSession.State`

  - ### Field Summary

    - ### Fields inherited from class com.vaadin.server.VaadinSession

      `UI_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestVaadinSpringSession(org.springframework.web.context.WebApplicationContext applicationContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Lock` | `getLockInstance()`
    `boolean` | `hasLock()`

    - ### Methods inherited from class com.vaadin.server.VaadinSession

      `access, accessSynchronously, addBootstrapListener, addRequestHandler, addUI, addUIProvider, close, createConnectorId, getAllSessions, getAttribute, getAttribute, getBrowser, getCommunicationManager, getConfiguration, getConverterFactory, getCsrfToken, getCumulativeRequestDuration, getCurrent, getDragAndDropService, getErrorHandler, getForSession, getGlobalResourceHandler, getLastRequestDuration, getLastRequestTimestamp, getLocale, getNextUIid, getPendingAccessQueue, getPushId, getRequestHandlers, getService, getSession, getState, getUIByEmbedId, getUIById, getUIProviders, getUIs, isClosing, lock, modifyBootstrapResponse, refreshTransients, removeBootstrapListener, removeFromSession, removeRequestHandler, removeUI, removeUIProvider, setAttribute, setAttribute, setCommunicationManager, setConfiguration, setConverterFactory, setCurrent, setErrorHandler, setLastRequestDuration, setLastRequestTimestamp, setLocale, storeInSession, unlock, valueBound, valueUnbound`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestVaadinSpringSession

          public TestVaadinSpringSession(org.springframework.web.context.WebApplicationContext applicationContext)
                                  throws com.vaadin.server.ServiceException

      Throws:
        `com.vaadin.server.ServiceException`

  - ### Method Detail

    - #### hasLock

          public boolean hasLock()

      Overrides:
        `hasLock` in class `com.vaadin.server.VaadinSession`

    - #### getLockInstance

          public Lock getLockInstance()

      Overrides:
        `getLockInstance` in class `com.vaadin.server.VaadinSession`

Copyright © 2019 The Holon Platform. All rights reserved.